summaryrefslogtreecommitdiffstats
path: root/desktop/root-tail
diff options
context:
space:
mode:
author slakmagik <jsun@freeshell.org>2010-05-13 00:23:09 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:23:09 +0200
commit5bc3b272ec05b0b7278c821c59cb69b4c2829475 (patch)
treee8ba33085e894626c6b89b530122805638a187de /desktop/root-tail
parentf175be0ebbd54562dd5612859f019443c3d63c6b (diff)
downloadslackbuilds-5bc3b272ec05b0b7278c821c59cb69b4c2829475.tar.gz
slackbuilds-5bc3b272ec05b0b7278c821c59cb69b4c2829475.tar.xz
desktop/root-tail: Updated for version 1.2
Diffstat (limited to 'desktop/root-tail')
-rw-r--r--desktop/root-tail/README12
-rw-r--r--desktop/root-tail/root-tail.SlackBuild22
-rw-r--r--desktop/root-tail/root-tail.info2
3 files changed, 30 insertions, 6 deletions
diff --git a/desktop/root-tail/README b/desktop/root-tail/README
index 14d5a160df..9318d9c390 100644
--- a/desktop/root-tail/README
+++ b/desktop/root-tail/README
@@ -9,3 +9,15 @@ it a sort of multi-tail.
For example:
root-tail -g 800x250+100+50 -font 10x20 /var/log/messages,green \
-font 12x24 /var/log/secure,red,'ALERT'
+
+By default root-tail doesn't seem to work on XFCE. You need to explicitly
+specify the ID of the display to use it (by using the "-id" flag of root-tail).
+Use the xprop command to find the active root display, and run this through
+the cut command to strip out the ID number for insertion into the
+root-tail `-id` field.
+
+It looks a little something like this:
+
+root-tail -g 800x250+100+50 -font fixed /var/log/messages,green \
+/var/log/secure,red,'ALERT' -id $(xprop -root XFCE_DESKTOP_WINDOW |\
+awk '{ print $NF }')
diff --git a/desktop/root-tail/root-tail.SlackBuild b/desktop/root-tail/root-tail.SlackBuild
index 135636936a..38b3bff3df 100644
--- a/desktop/root-tail/root-tail.SlackBuild
+++ b/desktop/root-tail/root-tail.SlackBuild
@@ -5,7 +5,7 @@
# Released under the WTFPL
PRGNAM=root-tail
-VERSION=1.2
+VERSION=${VERSION:-1.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,8 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -29,7 +34,6 @@ cd $TMP
rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -44,17 +48,23 @@ make DESTDIR=$PKG install
make DESTDIR=$PKG INSTMANFLAGS="-m 0644" install.man
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l); do ln -s $(readlink $i).gz $i.gz; rm $i; done
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a [CR]* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-gzip -9 $PKG/usr/man/man1/$PRGNAM.1x
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/root-tail/root-tail.info b/desktop/root-tail/root-tail.info
index 1f6d92a133..53802aeb74 100644
--- a/desktop/root-tail/root-tail.info
+++ b/desktop/root-tail/root-tail.info
@@ -3,6 +3,8 @@ VERSION="1.2"
HOMEPAGE="http://www.goof.com/pcg/marc/root-tail.html"
DOWNLOAD="http://www.goof.com/pcg/marc/data/root-tail-1.2.tar.gz"
MD5SUM="5a4b3c4c7ab3bed1f4575e9688aac5de"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="slakmagik"
EMAIL="jsun@freeshell.org"
APPROVED="David Somero"